diff --git a/src/backend/replication/logical/worker.c b/src/backend/replication/logical/worker.c
index eedc3a8..11a5883 100644
--- a/src/backend/replication/logical/worker.c
+++ b/src/backend/replication/logical/worker.c
@@ -289,11 +289,11 @@ slot_store_error_callback(void *arg)
 	remotetypoid = errarg->rel->atttyps[errarg->attnum];
 	localtypoid = logicalrep_typmap_getid(remotetypoid);
 	errcontext("processing remote data for replication target relation \"%s.%s\" column \"%s\", "
-			   "remote type %s, local type %s",
+			   "remote type's OID %u, local type's OID %u",
 			   errarg->rel->nspname, errarg->rel->relname,
 			   errarg->rel->attnames[errarg->attnum],
-			   format_type_be(remotetypoid),
-			   format_type_be(localtypoid));
+			   remotetypoid,
+			   localtypoid);
 }
 
 /*
